Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001461Zandronum[All Projects] Suggestionpublic2013-08-14 21:362017-07-07 22:31
ReporterCatastrophe 
Assigned To 
PrioritylowSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version1.1.1 
Target Version3.0Fixed in Version3.0 
Summary0001461: Make the up arrow show previous messages in chat
DescriptionWhen someone is laggy, sometimes a chat message won't show up for said lagger. This gets extremely annoying when you type two sentences in chat and it doesn't show up. My suggestion is, make the chat-box just like the console where you can just press the -UP arrow key- to see what you typed in previously; and the -DOWN arrow key- to go down the list in case you hit up too many times.
Attached Files

- Relationships
child of 0000858resolvedDusk Enhanced chat input 

-  Notes
User avatar (0007023)
Watermelon (developer)
2013-08-14 23:11

I propose we add a simple memory storage for the last message we believe to be sent, which can be retrieved with the up arrow if chat is active. Should be easy to see if chat is active, should be possible to see if the up arrow is pressed since the console does it fine.

Thoughts? I'd like to add this in.
User avatar (0007028)
Dusk (developer)
2013-08-15 21:12
edited on: 2013-08-15 21:12

I already implemented this a while back... it just isn't in zandronum for.. dunno why really.

User avatar (0008981)
Watermelon (developer)
2014-06-10 02:31

Dusk: do you happen to have the stuff laying around somewhere?
This would be really useful (and for new private chat too)
User avatar (0017983)
Korshun (reporter)
2017-07-07 16:45

This is already in 3.0.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: ZzZombo Korshun
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2013-08-14 21:36 Catastrophe New Issue
2013-08-14 23:11 Watermelon Note Added: 0007023
2013-08-15 21:12 Dusk Note Added: 0007028
2013-08-15 21:12 Dusk Note Edited: 0007028 View Revisions
2013-08-15 21:12 Dusk Relationship added child of 0000858
2014-06-10 02:31 Watermelon Note Added: 0008981
2017-07-07 16:45 Korshun Note Added: 0017983
2017-07-07 22:31 Ru5tK1ng Status new => resolved
2017-07-07 22:31 Ru5tK1ng Resolution open => fixed
2017-07-07 22:31 Ru5tK1ng Fixed in Version => 3.0
2017-07-07 22:31 Ru5tK1ng Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker